subset,met-method {oce} | R Documentation

## Subset a met Object

### Description

This function is somewhat analogous to `subset.data.frame`.

### Usage

    ## S4 method for signature 'met'
    subset(x, subset, ...)

### Arguments

`x` | An object inheriting from `met-class`.
`subset` | An expression indicating how to subset `x`.
`...` | ignored.

### Value

A new `met` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `met` data: `[[,met-method`, `[[<-,met-method`, `as.met`, `download.met`, `met-class`, `met`, `plot,met-method`, `read.met`, `summary,met-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(met)
    # Few days surrounding Hurricane Juan
    plot(subset(met, time > as.POSIXct("2003-09-27", tz="UTC")))

[Package oce version 0.9-22 Index]